Bug 956904 - Infinispan remote-store requires remote-servers but not marked as required in mgmt model
Summary: Infinispan remote-store requires remote-servers but not marked as required in...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Clustering
Version: 6.0.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: DR2
: EAP 6.3.0
Assignee: Richard Achmatowicz
QA Contact: Jitka Kozana
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-25 23:58 UTC by Takayoshi Kimura
Modified: 2018-12-01 15:19 UTC (History)
7 users (show)

(edit)
An issue was discovered in the handling of Infinispan's `remote-store` configuration. The `remote-store` option required that the value of the `remote-server` option be set, but this was not enforced, resulting in failure of the `remote store`. This issue has been resolved by marking the `remote-server` parameter as being mandatory, preventing an invalid `remote-store` configuration.

In this example, the management CLI command is incomplete and a warning is displayed.
----
[standalone@localhost:9990 /] /subsystem=infinispan/cache-container=web/distributed-cache=dist/remote-store=REMOTE_STORE:add(remote-servers=[])                          {          
    "outcome" => "failed",
    "failure-description" => "JBAS014706: [0] is an invalid size for parameter remote-servers. A minimum length of [1] is required",
    "rolled-back" => true,
    "response-headers" => {"process-state" => "reload-required"}
}
----

In this example, the management CLI command is complete.

----
[standalone@localhost:9990 /] /subsystem=infinispan/cache-container=web/distributed-cache=dist/remote-store=REMOTE_STORE:add(remote-servers=[{"outbound-socket-binding" => "fred"}])
{
    "outcome" => "success",
    "response-headers" => {"process-state" => "reload-required"}
}
----
Clone Of:
(edit)
Last Closed: 2014-06-28 15:39:49 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-1271 Major Resolved Infinispan remote-store requires remote-servers but not marked as required in mgmt model 2017-08-23 12:49 UTC

Description Takayoshi Kimura 2013-04-25 23:58:31 UTC
Product ticket for https://issues.jboss.org/browse/WFLY-1271

Comment 2 JBoss JIRA Server 2013-12-17 18:28:21 UTC
Richard Achmatowicz <rachmato@redhat.com> updated the status of jira WFLY-1271 to Coding In Progress

Comment 3 JBoss JIRA Server 2013-12-17 23:38:01 UTC
Richard Achmatowicz <rachmato@redhat.com> updated the status of jira WFLY-1271 to Resolved

Comment 4 JBoss JIRA Server 2013-12-18 10:03:16 UTC
Radoslav Husar <rhusar@redhat.com> updated the status of jira WFLY-1271 to Reopened

Comment 6 Radoslav Husar 2014-05-15 09:01:49 UTC
Fixing typo in doc text.


Note You need to log in before you can comment on or make changes to this bug.